[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| MultiArrayShape< N > Class Template Reference |

`#include <vigra/multi_shape.hxx>`

## Public Types

typedef TinyVector< MultiArrayIndex, N > | type

## Detailed Description

### template<unsigned int N>
class vigra::MultiArrayShape< N >

Metafucntion to obtain the difference type of all MultiIterator, MultiArrayView, and MultiArray variants.

Usage:

This metafunction is mainly used in functions weren the array dimension `N` is provided as a templat parameter, and we need a shape object of the corresponding length. Then, a typedef like this is typically placed at the beginning of the function:

typedef typename MultiArrayShape<N>::type Shape;
Shape shape(1); // all ones of dimension N

The following typedefs are provided for convenience:

typedef MultiArrayShape<1>::type Shape1;
typedef MultiArrayShape<2>::type Shape2;
typedef MultiArrayShape<3>::type Shape3;
typedef MultiArrayShape<4>::type Shape4;
typedef MultiArrayShape<5>::type Shape5;

## Member Typedef Documentation

## ◆ type

typedef TinyVector<MultiArrayIndex, N> type

The difference type of all MultiIterator, MultiArrayView, and MultiArray variants.

The documentation for this class was generated from the following files:

- vigra/multi_fwd.hxx
- vigra/multi_shape.hxx

vigra::MultiArrayShape::type
TinyVector< MultiArrayIndex, N > type
Definition: multi_shape.hxx:272

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1